Package com.macrofocus.high_d.parallelcoordinates

# Interface ParallelCoordinatesController<Component,Row,Column>

All Known Implementing Classes:
  `AbstractParallelCoordinatesController`, `JavaFXParallelCoordinatesController`

public interface ParallelCoordinatesController<Component,Row,Column>
Control the user interactions with the view.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `PROPERTY_REORDERING`
  `static final String`
  `PROPERTY_REVERSING`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `com.macrofocus.high_d.interaction.InteractionMode`
  `getMode()`
  `MutableProperty<Boolean>`
  `getReordering()`
  `MutableProperty<Boolean>`
  `getReversing()`
  `ParallelCoordinatesView<Component,com.macrofocus.igraphics.CPColor,Row,Column>`
  `getView()`
  `void`
  `setLocksmith(Object locksmith)`
  `void`
  `setMode(com.macrofocus.high_d.interaction.InteractionMode mode)`
  `void`
  `setReordering(MutableProperty<Boolean> reordering)`
  `void`
  `setReversing(MutableProperty<Boolean> sorting)`
  `void`
  `setView(ParallelCoordinatesView<Component,com.macrofocus.igraphics.CPColor,Row,Column> view)`
  Replace the view currently under control.

- ## Field Details

  - ### PROPERTY_REORDERING

    static final String PROPERTY_REORDERING
    See Also:
      - Constant Field Values

  - ### PROPERTY_REVERSING

    static final String PROPERTY_REVERSING
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getMode

    com.macrofocus.high_d.interaction.InteractionMode getMode()

  - ### setMode

    void setMode(com.macrofocus.high_d.interaction.InteractionMode mode)

  - ### setLocksmith

    void setLocksmith(Object locksmith)

  - ### setView

    void setView(ParallelCoordinatesView<Component,com.macrofocus.igraphics.CPColor,Row,Column> view)
    Replace the view currently under control.
    Parameters:
      `view` - the ParallelCoordinatesView to use

  - ### getView

    ParallelCoordinatesView<Component,com.macrofocus.igraphics.CPColor,Row,Column> getView()

  - ### getReordering

    MutableProperty<Boolean> getReordering()

  - ### setReordering

    void setReordering(MutableProperty<Boolean> reordering)

  - ### getReversing

    MutableProperty<Boolean> getReversing()

  - ### setReversing

    void setReversing(MutableProperty<Boolean> sorting)